# QCA::TLSSessionContext Class Reference
[QCA provider API]

TLS "session" provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::TLSSessionContext:

Collaboration diagram for QCA::TLSSessionContext:

[legend]

List of all members.

## Public Member Functions

| TLSSessionContext (Provider *p)

## Detailed Description

TLS "session" provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want TLSSession instead.

## Constructor & Destructor Documentation

QCA::TLSSessionContext::TLSSessionContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the Provider associated with this context

The documentation for this class was generated from the following file:

- qcaprovider.h